Package org.pushingpixels.flamingo.api.common.popup

# Interface PopupPanelCallback

public interface PopupPanelCallback
An application hook that allows associating a custom popup panel with a popup area of the specific command button.

See Also:
  - `JCommandButton.setPopupCallback(PopupPanelCallback)`
  - `RibbonApplicationMenuEntrySecondary.setPopupCallback(PopupPanelCallback)`

## Method Summary

Modifier and Type
Method
Description
`JPopupPanel`
`getPopupPanel(JCommandButton commandButton)`
Returns the popup panel to be shown when the popup area of the specified command button is activated.

## Method Details

### getPopupPanel

JPopupPanel getPopupPanel(JCommandButton commandButton)
Returns the popup panel to be shown when the popup area of the specified command button is activated.

Parameters:
  `commandButton` - Command button.
Returns:
  The popup panel to be shown when the popup area of the specified command button is activated.